/*
 * @Author: zc
 * @description 查询数据
 */
import request from "@/utils/request";

/**
 * @description 工单统计数据
 * @param {object} params
 * @return {*}
 */
export const workOrder = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/order-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 知识库统计
 * @param {object} params
 * @return {*}
 */
export const knowledge = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/knowledge-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 受理类型办件分析
 * @param {object} params
 * @return {*}
 */
export const acceptType = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/ordertype-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 热点预警
 * @param {object} params
 * @return {*}
 */
export const hotSpot = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/earlywarning-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 工单当日统计及环比
 * @param {object} params
 * @return {*}
 */
export const orderDay = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/ordercount-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 区域受理排行
 * @param {object} params
 * @return {*}
 */
export const areaAccept = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/orderarea-accept-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 区域明细数据
 * @param {object} params
 * @return {*}
 */
export const areaDetail = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/orderareaaccept-query`,
    method: "get",
    params,
  });
};
/**
 * @description 办理中工单阅览
 * @param {object} params
 * @return {*}
 */
export const orderView = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/order-handling-query`,
    method: "get",
    params,
  });
};
/**
 * @description 近30天高频事项预警
 * @param {object} params
 * @return {*}
 */
export const highFrequency = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/highmatter-warning`,
    method: "get",
    params,
  });
};
/**
 * @description 部门满意度排行
 * @param {object} params
 * @return {*}
 */
export const departmentSatisfaction = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/ordervisit-orgsatisfaction-rank`,
    method: "get",
    params,
  });
};
/**
 * @description 占比分析
 * @param {object} params
 * @return {*}
 */
export const proportionAnalysis = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/order-source-accepttype-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 获取区域信息
 * @param {object} params
 * @return {*}
 */
export const getArea = (params?: object) => {
  return request({
    url: `/api/v1/DataScreen/get_system_area`,
    method: "get",
    params,
  });
};
/**
 * @description 登录系统配置
 *  @returns
 */
export const loginPageInfo = () => {
  return request({
    url: "/api/v1/Identity/login-page-info",
    method: "get",
  });
};
