/*
 * @Author: zc
 * @description 坐席大屏
 */
import request from "@/utils/request";
/**
 * @description 分机列表
 * @param {object} params
 * @return {*}
 */
export const extensionPaged = (params?: object) => {
  return request({
    url: `/api/v1/IPPbx/query-telstate`,
    method: "get",
    params,
  });
};
/**
 * @description 坐席数据查询
 * @param {object} params
 * @return {*}
 */
export const agentPaged = (params?: object) => {
  return request({
    url: `/api/v1/Seat/base_data`,
    method: "get",
    params,
  });
};
/**
 * @description 根据分机号查询当前分机通话信息
 * @param {string} params
 * @return {*}
 */
export const getExtensionStatus = (params: object) => {
  return request({
    url: `/api/v1/IPPbx/query-telstatebyno`,
    method: "get",
    params,
  });
};
/**
 * @description 获取监听分机列表
 * @param {string} params
 * @return {*}
 */
export const getListenExtension = (params?: object) => {
  return request({
    url: `/api/v1/Seat/query-listentels`,
    method: "get",
    params,
  });
};
