import { createRouter, createWebHistory } from "vue-router";
import type { RouteRecordRaw } from "vue-router";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    redirect: "/home",
  },
  {
    path: "/home",
    name: "home",
    component: () => import("@/views/home/index.vue"),
    meta: {
      title: "市民热线服务系统",
    },
  },
  {
    path: "/home",
    name: "home",
    component: () => import("@/views/home/index.vue"),
    meta: {
      title: `12345政务服务便民热线`,
    },
  },
  {
    path: "/seats",
    name: "seats",
    component: () => import("@/views/seats/index.vue"),
    meta: {
      title: `12345坐席监控中心`,
    },
  },
  {
    path: "/judicial",
    name: "judicial",
    component: () => import("@/views/judicial/index.vue"),
    meta: {
      title: `司法行政执法监督子系统`,
    },
  },
  {
    path: "/:pathMatch(.*)",
    name: "notFound",
    component: () => import("@/views/error/404.vue"),
    meta: {
      title: "404",
      isHide: true,
    },
  },
];
const router = createRouter({
  history: createWebHistory(),
  routes,
});

router.beforeEach((to, from, next) => {
  next();
});

export default router;
