import { reactive } from "vue";
import { getNowDateTime } from "@/utils/constants";
import { ElMessage } from "element-plus";
import { createGlobalState } from "@vueuse/core";
import { useThemeConfig } from "@/stores/themeConfig";
import { storeToRefs } from "pinia";

const storesThemeConfig = useThemeConfig();
const { themeConfig } = storeToRefs(storesThemeConfig);
// 全局变量
export const useGlobalState = createGlobalState(() => {
  return reactive({
    callCenterWs: <any>null,
    callCenterIsSignIn: false,
    callCenterIsOnThePhone: false,
    /*currentTel: useStorage('global_currentTel', {
            telNo: '', // 分机号
            jobNum: '', //工号
            telGroup: '', // 技能组ID
        }),*/
    currentTel: {
      telNo: null, // 分机号
      jobNum: null, //工号
      telGroup: null, // 技能组ID
    },
  });
});
const globalState = useGlobalState();
// 发送消息
const e_TelSendMsg = (strObj: Object) => {
  // 客户端当前时间
  const nowTime = getNowDateTime();
  const strMsg = JSON.stringify(strObj);
  console.log(
    nowTime + " 发送消息：" + strMsg,
    globalState.callCenterWs.status
  );
  if (globalState.callCenterWs?.ws?.readyState === 1) {
    // 已经链接并且可以通讯，则发放文本消息
    globalState.callCenterWs?.send(strMsg);
  } else {
    ElMessage.error("请先签入");
  }
};
/*
 * 签出
 * ReqAgentLogout - 签出方法名称
 * Extension - 分机号码
 */
const signOutFn = () => {
  const objMsg = {
    Action: "ReqAgentLogout",
    Param: {
      Extension: globalState.currentTel.telNo,
    },
  };
  // 发送请求
  e_TelSendMsg(objMsg);
};
// 统一调用退出登录并关闭链接方法 兼容不同的呼叫中心
export function callCenterLogout() {
  if (!globalState.callCenterWs) {
    ElMessage.warning("请先签入");
    return;
  }
  switch (themeConfig.value.appScope) {
    case "YiBin":
      globalState.callCenterWs?.logout();
      break;
    case "ZiGong":
      signOutFn();
      break;
    default:
  }
}
